function [Z, Zstar, Zlogit, Zprobit, CIZ, CIZstar, CIlogit, CIprobit, lambdas, exitflag, F1a, F2a, F1b, F2b, c1, c2, W1alam, W1blam, W2alam, W2blam]=compareYbc(W1a,W1b,W2a,W2b)

%================================ESTIMATION ===========================

if size(W1a,1)==1;W1a=W1a';end
if size(W1b,1)==1;W1b=W1b';end
if size(W2a,1)==1;W2a=W2a';end
if size(W2b,1)==1;W2b=W2b';end

na=length(W1a);
nb=length(W1b);

options=optimset('MaxFunEvals',1000000,'MaxIter',1000000,'TolX',10^(-4));
%=====BOX-COX===============================================================
W1alam=@(lam) (W1a.^lam-1)./lam;
W2alam=@(lam) (W2a.^lam-1)./lam;
W1blam=@(lam) (W1b.^lam-1)./lam;
W2blam=@(lam) (W2b.^lam-1)./lam;

minusL=@(g) (-sum(log(mvnpdf2([W1alam(g(1)) W2alam(g(2))],[mean(W1alam(g(1))) mean(W2alam(g(2)))],cov([W1alam(g(1))],[W2alam(g(2))]) )))+...
             -sum(log(mvnpdf2([W1blam(g(1)) W2blam(g(2))],[mean(W1blam(g(1))) mean(W2blam(g(2)))],cov([W1blam(g(1))],[W2blam(g(2))]) )))+...
             -(g(1)-1).*sum(log(W1a))-(g(2)-1).*sum(log(W2a))-(g(1)-1).*sum(log(W1b))-(g(2)-1).*sum(log(W2b)));%.*(g(2)>0).*(g(6)>0).*(g(4)>0).*(g(8)>0)
[g, ~, exitflag]=fminsearchbnd(minusL,[1 1],[-Inf -Inf],[Inf Inf],options);
gest=g
exitflag=exitflag
         
%              1   2   3   4   5   6   7   8   9    10   11   12
%with order:  m1a s1a m1b s1b m2a s2a m2b s2b cova covb lam1 lam2
%-->their lambda versions

lam1=g(1);lam2=g(2);
lambdas=[lam1 lam2]
W1alam=W1alam(lam1);
W2alam=W2alam(lam2);
W1blam=W1blam(lam1);
W2blam=W2blam(lam2);

m1ahat=mean(W1alam);s1ahat=std(W1alam);
m1bhat=mean(W1blam);s1bhat=std(W1blam);
m2ahat=mean(W2alam);s2ahat=std(W2alam);
m2bhat=mean(W2blam);s2bhat=std(W2blam);
cova=cov([W1alam W2alam]);cova=cova(1,2);
covb=cov([W1blam W2blam]);covb=covb(1,2);

HCF=[sum(-2./(2.*s1ahat.^2-(2.*cova.^2)./s2ahat.^2)),sum(-(2.*s1ahat.*s2ahat.^2.*(cova.*lam1-lam2.*s2ahat.^2-W2a.^lam2.*cova.*lam1+W1a.^lam1.*lam2.*s2ahat.^2+cova.*lam1.*lam2.*m2ahat-lam1.*lam2.*m1ahat.*s2ahat.^2))./(lam1.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(0),sum(0),sum(cova./(-cova.^2+s1ahat.^2.*s2ahat.^2)),sum((s2ahat.*(2.*cova.^2.*(lam2-W1a.^lam1.*lam2+lam1.*lam2.*m1ahat)-2.*cova.*s1ahat.^2.*(lam1-W2a.^lam2.*lam1+lam1.*lam2.*m2ahat)))./(lam1.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(0),sum(0),sum((cova.^2.*(lam2.*m2ahat-W2a.^lam2+1)+s2ahat.^2.*((lam2.*m2ahat-W2a.^lam2+1).*s1ahat.^2-2.*cova.*lam2.*m1ahat))./(lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)-(cova.*s2ahat.^2.*(2.*lam2-2.*W1a.^lam1.*lam2))./(lam1.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(0),sum((2.*s2ahat.^2.*(W1a.^lam1.*lam1.*log(W1a)-W1a.^lam1+1))./(lam1.^2.*(-2.*cova.^2+2.*s1ahat.^2.*s2ahat.^2))),sum(-(cova.*(W2a.^lam2.*lam2.*log(W2a)-W2a.^lam2+1))./(lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2)));
sum(-(2.*s1ahat.*s2ahat.^2.*(cova.*lam1-lam2.*s2ahat.^2-W2a.^lam2.*cova.*lam1+W1a.^lam1.*lam2.*s2ahat.^2+cova.*lam1.*lam2.*m2ahat-lam1.*lam2.*m1ahat.*s2ahat.^2))./(lam1.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(-(3.*s1ahat.^2.*s2ahat.^6+cova.^4.*(lam1.^2.*m2ahat.^2+lam1.^2.*s2ahat.^2)-cova.^3.*(2.*lam1.*m2ahat.*s2ahat.^2-2.*W1a.^lam1.*lam1.*m2ahat.*s2ahat.^2+2.*lam1.^2.*m1ahat.*m2ahat.*s2ahat.^2)-cova.*(6.*lam1.*m2ahat.*s1ahat.^2.*s2ahat.^4-6.*W1a.^lam1.*lam1.*m2ahat.*s1ahat.^2.*s2ahat.^4+6.*lam1.^2.*m1ahat.*m2ahat.*s1ahat.^2.*s2ahat.^4)+cova.^2.*(W1a.^(2.*lam1).*s2ahat.^4-2.*W1a.^lam1.*s2ahat.^4+s2ahat.^4+2.*lam1.*m1ahat.*s2ahat.^4+lam1.^2.*m1ahat.^2.*s2ahat.^4-2.*W1a.^lam1.*lam1.*m1ahat.*s2ahat.^4+3.*lam1.^2.*m2ahat.^2.*s1ahat.^2.*s2ahat.^2)-6.*W1a.^lam1.*s1ahat.^2.*s2ahat.^6+3.*W1a.^(2.*lam1).*s1ahat.^2.*s2ahat.^6-lam1.^2.*s1ahat.^4.*s2ahat.^6+3.*lam1.^2.*m1ahat.^2.*s1ahat.^2.*s2ahat.^6+6.*lam1.*m1ahat.*s1ahat.^2.*s2ahat.^6-6.*W1a.^lam1.*lam1.*m1ahat.*s1ahat.^2.*s2ahat.^6)./(lam1.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)-(cova.^4.*(W2a.^(2.*lam2).*lam1.^2-2.*W2a.^lam2.*lam1.^2+lam1.^2)+cova.^2.*(3.*lam1.^2.*s1ahat.^2.*s2ahat.^2+3.*W2a.^(2.*lam2).*lam1.^2.*s1ahat.^2.*s2ahat.^2-6.*W2a.^lam2.*lam1.^2.*s1ahat.^2.*s2ahat.^2)-lam2.*((2.*W2a.^lam2.*lam1.^2.*m2ahat-2.*lam1.^2.*m2ahat).*cova.^4+(2.*lam1.*s2ahat.^2+2.*lam1.^2.*m1ahat.*s2ahat.^2-2.*W1a.^lam1.*lam1.*s2ahat.^2-2.*W2a.^lam2.*lam1.*s2ahat.^2-2.*W2a.^lam2.*lam1.^2.*m1ahat.*s2ahat.^2+2.*W1a.^lam1.*W2a.^lam2.*lam1.*s2ahat.^2).*cova.^3+(6.*W2a.^lam2.*lam1.^2.*m2ahat.*s1ahat.^2.*s2ahat.^2-6.*lam1.^2.*m2ahat.*s1ahat.^2.*s2ahat.^2).*cova.^2+(6.*lam1.*s1ahat.^2.*s2ahat.^4+6.*lam1.^2.*m1ahat.*s1ahat.^2.*s2ahat.^4-6.*W1a.^lam1.*lam1.*s1ahat.^2.*s2ahat.^4-6.*W2a.^lam2.*lam1.*s1ahat.^2.*s2ahat.^4-6.*W2a.^lam2.*lam1.^2.*m1ahat.*s1ahat.^2.*s2ahat.^4+6.*W1a.^lam1.*W2a.^lam2.*lam1.*s1ahat.^2.*s2ahat.^4).*cova))./(lam1.^2.*lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)),sum(0),sum(0),sum((s1ahat.*(2.*cova.^2.*(lam1-W2a.^lam2.*lam1+lam1.*lam2.*m2ahat)-2.*cova.*s2ahat.^2.*(lam2-W1a.^lam1.*lam2+lam1.*lam2.*m1ahat)))./(lam1.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum((lam2.*((2.*cova.*s2ahat.^3.*(2.*lam1+2.*lam1.^2.*m1ahat-2.*W1a.^lam1.*lam1-2.*W2a.^lam2.*lam1+2.*W1a.^lam1.*W2a.^lam2.*lam1-2.*W2a.^lam2.*lam1.^2.*m1ahat)-2.*cova.*s2ahat.*(4.*cova.*lam1.^2.*m2ahat-4.*W2a.^lam2.*cova.*lam1.^2.*m2ahat)).*s1ahat.^3+2.*cova.*s2ahat.*(2.*cova.^2.*lam1+2.*cova.^2.*lam1.^2.*m1ahat-2.*W1a.^lam1.*cova.^2.*lam1-2.*W2a.^lam2.*cova.^2.*lam1-2.*W2a.^lam2.*cova.^2.*lam1.^2.*m1ahat+2.*W1a.^lam1.*W2a.^lam2.*cova.^2.*lam1).*s1ahat)-2.*cova.*s1ahat.^3.*s2ahat.*(2.*cova.*lam1.^2+2.*W2a.^(2.*lam2).*cova.*lam1.^2-4.*W2a.^lam2.*cova.*lam1.^2))./(lam1.^2.*lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)-((4.*cova.^2.*lam1.^2.*m2ahat.^2.*s2ahat-2.*cova.*s2ahat.^3.*(2.*lam1.*m2ahat+cova.*lam1.^2+2.*lam1.^2.*m1ahat.*m2ahat-2.*W1a.^lam1.*lam1.*m2ahat)).*s1ahat.^3+(2.*cova.*(2.*cova+2.*W1a.^(2.*lam1).*cova-4.*W1a.^lam1.*cova+2.*cova.*lam1.^2.*m1ahat.^2+4.*cova.*lam1.*m1ahat-4.*W1a.^lam1.*cova.*lam1.*m1ahat).*s2ahat.^3+2.*cova.*(cova.^3.*lam1.^2-2.*cova.^2.*lam1.*m2ahat+2.*W1a.^lam1.*cova.^2.*lam1.*m2ahat-2.*cova.^2.*lam1.^2.*m1ahat.*m2ahat).*s2ahat).*s1ahat)./(lam1.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)),sum(0),sum(0),sum(-(cova.*(s2ahat.^4.*(-4.*lam2.^2.*m1ahat.^2.*s1ahat+2.*lam2.^2.*s1ahat.^3)-s1ahat.^3.*s2ahat.^2.*(4.*lam2.*m2ahat-4.*W2a.^lam2+2.*W2a.^(2.*lam2)+2.*lam2.^2.*m2ahat.^2-4.*W2a.^lam2.*lam2.*m2ahat+2))-cova.^3.*(s1ahat.*(4.*lam2.*m2ahat-4.*W2a.^lam2+2.*W2a.^(2.*lam2)+2.*lam2.^2.*m2ahat.^2-4.*W2a.^lam2.*lam2.*m2ahat+2)+2.*lam2.^2.*s1ahat.*s2ahat.^2)+s1ahat.^3.*s2ahat.^4.*(2.*lam2.*m1ahat+2.*lam2.^2.*m1ahat.*m2ahat-2.*W2a.^lam2.*lam2.*m1ahat)+cova.^2.*s1ahat.*s2ahat.^2.*(6.*lam2.*m1ahat+6.*lam2.^2.*m1ahat.*m2ahat-6.*W2a.^lam2.*lam2.*m1ahat))./(lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)-(lam1.*((6.*lam2+6.*lam2.^2.*m2ahat-6.*W1a.^lam1.*lam2-6.*W2a.^lam2.*lam2+6.*W1a.^lam1.*W2a.^lam2.*lam2-6.*W1a.^lam1.*lam2.^2.*m2ahat).*cova.^2.*s1ahat.*s2ahat.^2+(8.*W1a.^lam1.*lam2.^2.*m1ahat-8.*lam2.^2.*m1ahat).*cova.*s1ahat.*s2ahat.^4+(2.*lam2+2.*lam2.^2.*m2ahat-2.*W1a.^lam1.*lam2-2.*W2a.^lam2.*lam2+2.*W1a.^lam1.*W2a.^lam2.*lam2-2.*W1a.^lam1.*lam2.^2.*m2ahat).*s1ahat.^3.*s2ahat.^4)-cova.*s1ahat.*s2ahat.^4.*(4.*W1a.^(2.*lam1).*lam2.^2-8.*W1a.^lam1.*lam2.^2+4.*lam2.^2))./(lam1.^2.*lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)),sum(0),sum((2.*s1ahat.*s2ahat.^2.*(W1a.^lam1.*lam1.*log(W1a)-W1a.^lam1+1).*(cova.*lam1-lam2.*s2ahat.^2-W2a.^lam2.*cova.*lam1+W1a.^lam1.*lam2.*s2ahat.^2+cova.*lam1.*lam2.*m2ahat-lam1.*lam2.*m1ahat.*s2ahat.^2))./(lam1.^3.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(-(2.*cova.*s1ahat.*(W2a.^lam2.*lam2.*log(W2a)-W2a.^lam2+1).*(cova.*lam1-lam2.*s2ahat.^2-W2a.^lam2.*cova.*lam1+W1a.^lam1.*lam2.*s2ahat.^2+cova.*lam1.*lam2.*m2ahat-lam1.*lam2.*m1ahat.*s2ahat.^2))./(lam1.*lam2.^3.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2));
sum(0),sum(0),sum(-2./(2.*s1bhat.^2-(2.*covb.^2)./s2bhat.^2)),sum(-(2.*s1bhat.*s2bhat.^2.*(covb.*lam1-lam2.*s2bhat.^2-W2b.^lam2.*covb.*lam1+W1b.^lam1.*lam2.*s2bhat.^2+covb.*lam1.*lam2.*m2bhat-lam1.*lam2.*m1bhat.*s2bhat.^2))./(lam1.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(0),sum(0),sum(covb./(-covb.^2+s1bhat.^2.*s2bhat.^2)),sum((s2bhat.*(2.*covb.^2.*(lam2-W1b.^lam1.*lam2+lam1.*lam2.*m1bhat)-2.*covb.*s1bhat.^2.*(lam1-W2b.^lam2.*lam1+lam1.*lam2.*m2bhat)))./(lam1.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(0),sum((covb.^2.*(lam2.*m2bhat-W2b.^lam2+1)+s2bhat.^2.*((lam2.*m2bhat-W2b.^lam2+1).*s1bhat.^2-2.*covb.*lam2.*m1bhat))./(lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)-(covb.*s2bhat.^2.*(2.*lam2-2.*W1b.^lam1.*lam2))./(lam1.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum((2.*s2bhat.^2.*(W1b.^lam1.*lam1.*log(W1b)-W1b.^lam1+1))./(lam1.^2.*(-2.*covb.^2+2.*s1bhat.^2.*s2bhat.^2))),sum(-(covb.*(W2b.^lam2.*lam2.*log(W2b)-W2b.^lam2+1))./(lam2.^2.*(-covb.^2+s1bhat.^2.*s2bhat.^2)));
sum(0),sum(0),sum(-(2.*s1bhat.*s2bhat.^2.*(covb.*lam1-lam2.*s2bhat.^2-W2b.^lam2.*covb.*lam1+W1b.^lam1.*lam2.*s2bhat.^2+covb.*lam1.*lam2.*m2bhat-lam1.*lam2.*m1bhat.*s2bhat.^2))./(lam1.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(-(3.*s1bhat.^2.*s2bhat.^6+covb.^4.*(lam1.^2.*m2bhat.^2+lam1.^2.*s2bhat.^2)-covb.^3.*(2.*lam1.*m2bhat.*s2bhat.^2-2.*W1b.^lam1.*lam1.*m2bhat.*s2bhat.^2+2.*lam1.^2.*m1bhat.*m2bhat.*s2bhat.^2)-covb.*(6.*lam1.*m2bhat.*s1bhat.^2.*s2bhat.^4-6.*W1b.^lam1.*lam1.*m2bhat.*s1bhat.^2.*s2bhat.^4+6.*lam1.^2.*m1bhat.*m2bhat.*s1bhat.^2.*s2bhat.^4)+covb.^2.*(W1b.^(2.*lam1).*s2bhat.^4-2.*W1b.^lam1.*s2bhat.^4+s2bhat.^4+2.*lam1.*m1bhat.*s2bhat.^4+lam1.^2.*m1bhat.^2.*s2bhat.^4-2.*W1b.^lam1.*lam1.*m1bhat.*s2bhat.^4+3.*lam1.^2.*m2bhat.^2.*s1bhat.^2.*s2bhat.^2)-6.*W1b.^lam1.*s1bhat.^2.*s2bhat.^6+3.*W1b.^(2.*lam1).*s1bhat.^2.*s2bhat.^6-lam1.^2.*s1bhat.^4.*s2bhat.^6+3.*lam1.^2.*m1bhat.^2.*s1bhat.^2.*s2bhat.^6+6.*lam1.*m1bhat.*s1bhat.^2.*s2bhat.^6-6.*W1b.^lam1.*lam1.*m1bhat.*s1bhat.^2.*s2bhat.^6)./(lam1.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)-(covb.^4.*(W2b.^(2.*lam2).*lam1.^2-2.*W2b.^lam2.*lam1.^2+lam1.^2)+covb.^2.*(3.*lam1.^2.*s1bhat.^2.*s2bhat.^2+3.*W2b.^(2.*lam2).*lam1.^2.*s1bhat.^2.*s2bhat.^2-6.*W2b.^lam2.*lam1.^2.*s1bhat.^2.*s2bhat.^2)-lam2.*((2.*W2b.^lam2.*lam1.^2.*m2bhat-2.*lam1.^2.*m2bhat).*covb.^4+(2.*lam1.*s2bhat.^2+2.*lam1.^2.*m1bhat.*s2bhat.^2-2.*W1b.^lam1.*lam1.*s2bhat.^2-2.*W2b.^lam2.*lam1.*s2bhat.^2-2.*W2b.^lam2.*lam1.^2.*m1bhat.*s2bhat.^2+2.*W1b.^lam1.*W2b.^lam2.*lam1.*s2bhat.^2).*covb.^3+(6.*W2b.^lam2.*lam1.^2.*m2bhat.*s1bhat.^2.*s2bhat.^2-6.*lam1.^2.*m2bhat.*s1bhat.^2.*s2bhat.^2).*covb.^2+(6.*lam1.*s1bhat.^2.*s2bhat.^4+6.*lam1.^2.*m1bhat.*s1bhat.^2.*s2bhat.^4-6.*W1b.^lam1.*lam1.*s1bhat.^2.*s2bhat.^4-6.*W2b.^lam2.*lam1.*s1bhat.^2.*s2bhat.^4-6.*W2b.^lam2.*lam1.^2.*m1bhat.*s1bhat.^2.*s2bhat.^4+6.*W1b.^lam1.*W2b.^lam2.*lam1.*s1bhat.^2.*s2bhat.^4).*covb))./(lam1.^2.*lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)),sum(0),sum(0),sum((s1bhat.*(2.*covb.^2.*(lam1-W2b.^lam2.*lam1+lam1.*lam2.*m2bhat)-2.*covb.*s2bhat.^2.*(lam2-W1b.^lam1.*lam2+lam1.*lam2.*m1bhat)))./(lam1.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum((lam2.*((2.*covb.*s2bhat.^3.*(2.*lam1+2.*lam1.^2.*m1bhat-2.*W1b.^lam1.*lam1-2.*W2b.^lam2.*lam1+2.*W1b.^lam1.*W2b.^lam2.*lam1-2.*W2b.^lam2.*lam1.^2.*m1bhat)-2.*covb.*s2bhat.*(4.*covb.*lam1.^2.*m2bhat-4.*W2b.^lam2.*covb.*lam1.^2.*m2bhat)).*s1bhat.^3+2.*covb.*s2bhat.*(2.*covb.^2.*lam1+2.*covb.^2.*lam1.^2.*m1bhat-2.*W1b.^lam1.*covb.^2.*lam1-2.*W2b.^lam2.*covb.^2.*lam1-2.*W2b.^lam2.*covb.^2.*lam1.^2.*m1bhat+2.*W1b.^lam1.*W2b.^lam2.*covb.^2.*lam1).*s1bhat)-2.*covb.*s1bhat.^3.*s2bhat.*(2.*covb.*lam1.^2+2.*W2b.^(2.*lam2).*covb.*lam1.^2-4.*W2b.^lam2.*covb.*lam1.^2))./(lam1.^2.*lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)-((4.*covb.^2.*lam1.^2.*m2bhat.^2.*s2bhat-2.*covb.*s2bhat.^3.*(2.*lam1.*m2bhat+covb.*lam1.^2+2.*lam1.^2.*m1bhat.*m2bhat-2.*W1b.^lam1.*lam1.*m2bhat)).*s1bhat.^3+(2.*covb.*(2.*covb+2.*W1b.^(2.*lam1).*covb-4.*W1b.^lam1.*covb+2.*covb.*lam1.^2.*m1bhat.^2+4.*covb.*lam1.*m1bhat-4.*W1b.^lam1.*covb.*lam1.*m1bhat).*s2bhat.^3+2.*covb.*(covb.^3.*lam1.^2-2.*covb.^2.*lam1.*m2bhat+2.*W1b.^lam1.*covb.^2.*lam1.*m2bhat-2.*covb.^2.*lam1.^2.*m1bhat.*m2bhat).*s2bhat).*s1bhat)./(lam1.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)),sum(0),sum(-(covb.*(s2bhat.^4.*(-4.*lam2.^2.*m1bhat.^2.*s1bhat+2.*lam2.^2.*s1bhat.^3)-s1bhat.^3.*s2bhat.^2.*(4.*lam2.*m2bhat-4.*W2b.^lam2+2.*W2b.^(2.*lam2)+2.*lam2.^2.*m2bhat.^2-4.*W2b.^lam2.*lam2.*m2bhat+2))-covb.^3.*(s1bhat.*(4.*lam2.*m2bhat-4.*W2b.^lam2+2.*W2b.^(2.*lam2)+2.*lam2.^2.*m2bhat.^2-4.*W2b.^lam2.*lam2.*m2bhat+2)+2.*lam2.^2.*s1bhat.*s2bhat.^2)+s1bhat.^3.*s2bhat.^4.*(2.*lam2.*m1bhat+2.*lam2.^2.*m1bhat.*m2bhat-2.*W2b.^lam2.*lam2.*m1bhat)+covb.^2.*s1bhat.*s2bhat.^2.*(6.*lam2.*m1bhat+6.*lam2.^2.*m1bhat.*m2bhat-6.*W2b.^lam2.*lam2.*m1bhat))./(lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)-(lam1.*((6.*lam2+6.*lam2.^2.*m2bhat-6.*W1b.^lam1.*lam2-6.*W2b.^lam2.*lam2+6.*W1b.^lam1.*W2b.^lam2.*lam2-6.*W1b.^lam1.*lam2.^2.*m2bhat).*covb.^2.*s1bhat.*s2bhat.^2+(8.*W1b.^lam1.*lam2.^2.*m1bhat-8.*lam2.^2.*m1bhat).*covb.*s1bhat.*s2bhat.^4+(2.*lam2+2.*lam2.^2.*m2bhat-2.*W1b.^lam1.*lam2-2.*W2b.^lam2.*lam2+2.*W1b.^lam1.*W2b.^lam2.*lam2-2.*W1b.^lam1.*lam2.^2.*m2bhat).*s1bhat.^3.*s2bhat.^4)-covb.*s1bhat.*s2bhat.^4.*(4.*W1b.^(2.*lam1).*lam2.^2-8.*W1b.^lam1.*lam2.^2+4.*lam2.^2))./(lam1.^2.*lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)),sum((2.*s1bhat.*s2bhat.^2.*(W1b.^lam1.*lam1.*log(W1b)-W1b.^lam1+1).*(covb.*lam1-lam2.*s2bhat.^2-W2b.^lam2.*covb.*lam1+W1b.^lam1.*lam2.*s2bhat.^2+covb.*lam1.*lam2.*m2bhat-lam1.*lam2.*m1bhat.*s2bhat.^2))./(lam1.^3.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(-(2.*covb.*s1bhat.*(W2b.^lam2.*lam2.*log(W2b)-W2b.^lam2+1).*(covb.*lam1-lam2.*s2bhat.^2-W2b.^lam2.*covb.*lam1+W1b.^lam1.*lam2.*s2bhat.^2+covb.*lam1.*lam2.*m2bhat-lam1.*lam2.*m1bhat.*s2bhat.^2))./(lam1.*lam2.^3.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2));
sum(cova./(-cova.^2+s1ahat.^2.*s2ahat.^2)),sum((s1ahat.*(2.*cova.^2.*(lam1-W2a.^lam2.*lam1+lam1.*lam2.*m2ahat)-2.*cova.*s2ahat.^2.*(lam2-W1a.^lam1.*lam2+lam1.*lam2.*m1ahat)))./(lam1.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(0),sum(0),sum(-2./(2.*s2ahat.^2-(2.*cova.^2)./s1ahat.^2)),sum(-(2.*s1ahat.^2.*s2ahat.*(cova.*lam2-lam1.*s1ahat.^2-W1a.^lam1.*cova.*lam2+W2a.^lam2.*lam1.*s1ahat.^2+cova.*lam1.*lam2.*m1ahat-lam1.*lam2.*m2ahat.*s1ahat.^2))./(lam1.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(0),sum(0),sum((cova.^2.*(lam1.*m1ahat-W1a.^lam1+1)+s1ahat.^2.*((lam1.*m1ahat-W1a.^lam1+1).*s2ahat.^2-2.*cova.*lam1.*m2ahat))./(lam1.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)-(cova.*s1ahat.^2.*(2.*lam1-2.*W2a.^lam2.*lam1))./(lam1.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(0),sum(-(cova.*(W1a.^lam1.*lam1.*log(W1a)-W1a.^lam1+1))./(lam1.^2.*(-cova.^2+s1ahat.^2.*s2ahat.^2))),sum((2.*s1ahat.^2.*(W2a.^lam2.*lam2.*log(W2a)-W2a.^lam2+1))./(lam2.^2.*(-2.*cova.^2+2.*s1ahat.^2.*s2ahat.^2)));
sum((s2ahat.*(2.*cova.^2.*(lam2-W1a.^lam1.*lam2+lam1.*lam2.*m1ahat)-2.*cova.*s1ahat.^2.*(lam1-W2a.^lam2.*lam1+lam1.*lam2.*m2ahat)))./(lam1.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum((lam2.*((2.*cova.*s2ahat.^3.*(2.*lam1+2.*lam1.^2.*m1ahat-2.*W1a.^lam1.*lam1-2.*W2a.^lam2.*lam1+2.*W1a.^lam1.*W2a.^lam2.*lam1-2.*W2a.^lam2.*lam1.^2.*m1ahat)-2.*cova.*s2ahat.*(4.*cova.*lam1.^2.*m2ahat-4.*W2a.^lam2.*cova.*lam1.^2.*m2ahat)).*s1ahat.^3+2.*cova.*s2ahat.*(2.*cova.^2.*lam1+2.*cova.^2.*lam1.^2.*m1ahat-2.*W1a.^lam1.*cova.^2.*lam1-2.*W2a.^lam2.*cova.^2.*lam1-2.*W2a.^lam2.*cova.^2.*lam1.^2.*m1ahat+2.*W1a.^lam1.*W2a.^lam2.*cova.^2.*lam1).*s1ahat)-2.*cova.*s1ahat.^3.*s2ahat.*(2.*cova.*lam1.^2+2.*W2a.^(2.*lam2).*cova.*lam1.^2-4.*W2a.^lam2.*cova.*lam1.^2))./(lam1.^2.*lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)-((4.*cova.^2.*lam1.^2.*m2ahat.^2.*s2ahat-2.*cova.*s2ahat.^3.*(2.*lam1.*m2ahat+cova.*lam1.^2+2.*lam1.^2.*m1ahat.*m2ahat-2.*W1a.^lam1.*lam1.*m2ahat)).*s1ahat.^3+(2.*cova.*(2.*cova+2.*W1a.^(2.*lam1).*cova-4.*W1a.^lam1.*cova+2.*cova.*lam1.^2.*m1ahat.^2+4.*cova.*lam1.*m1ahat-4.*W1a.^lam1.*cova.*lam1.*m1ahat).*s2ahat.^3+2.*cova.*(cova.^3.*lam1.^2-2.*cova.^2.*lam1.*m2ahat+2.*W1a.^lam1.*cova.^2.*lam1.*m2ahat-2.*cova.^2.*lam1.^2.*m1ahat.*m2ahat).*s2ahat).*s1ahat)./(lam1.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)),sum(0),sum(0),sum(-(2.*s1ahat.^2.*s2ahat.*(cova.*lam2-lam1.*s1ahat.^2-W1a.^lam1.*cova.*lam2+W2a.^lam2.*lam1.*s1ahat.^2+cova.*lam1.*lam2.*m1ahat-lam1.*lam2.*m2ahat.*s1ahat.^2))./(lam1.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(-(3.*s1ahat.^6.*s2ahat.^2+cova.^4.*(lam2.^2.*m1ahat.^2+lam2.^2.*s1ahat.^2)-cova.^3.*(2.*lam2.*m1ahat.*s1ahat.^2-2.*W2a.^lam2.*lam2.*m1ahat.*s1ahat.^2+2.*lam2.^2.*m1ahat.*m2ahat.*s1ahat.^2)-cova.*(6.*lam2.*m1ahat.*s1ahat.^4.*s2ahat.^2-6.*W2a.^lam2.*lam2.*m1ahat.*s1ahat.^4.*s2ahat.^2+6.*lam2.^2.*m1ahat.*m2ahat.*s1ahat.^4.*s2ahat.^2)+cova.^2.*(W2a.^(2.*lam2).*s1ahat.^4-2.*W2a.^lam2.*s1ahat.^4+s1ahat.^4+2.*lam2.*m2ahat.*s1ahat.^4+lam2.^2.*m2ahat.^2.*s1ahat.^4-2.*W2a.^lam2.*lam2.*m2ahat.*s1ahat.^4+3.*lam2.^2.*m1ahat.^2.*s1ahat.^2.*s2ahat.^2)-6.*W2a.^lam2.*s1ahat.^6.*s2ahat.^2+3.*W2a.^(2.*lam2).*s1ahat.^6.*s2ahat.^2-lam2.^2.*s1ahat.^6.*s2ahat.^4+3.*lam2.^2.*m2ahat.^2.*s1ahat.^6.*s2ahat.^2+6.*lam2.*m2ahat.*s1ahat.^6.*s2ahat.^2-6.*W2a.^lam2.*lam2.*m2ahat.*s1ahat.^6.*s2ahat.^2)./(lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)-(cova.^4.*(W1a.^(2.*lam1).*lam2.^2-2.*W1a.^lam1.*lam2.^2+lam2.^2)+cova.^2.*(3.*lam2.^2.*s1ahat.^2.*s2ahat.^2+3.*W1a.^(2.*lam1).*lam2.^2.*s1ahat.^2.*s2ahat.^2-6.*W1a.^lam1.*lam2.^2.*s1ahat.^2.*s2ahat.^2)-lam1.*((2.*W1a.^lam1.*lam2.^2.*m1ahat-2.*lam2.^2.*m1ahat).*cova.^4+(2.*lam2.*s1ahat.^2+2.*lam2.^2.*m2ahat.*s1ahat.^2-2.*W1a.^lam1.*lam2.*s1ahat.^2-2.*W2a.^lam2.*lam2.*s1ahat.^2-2.*W1a.^lam1.*lam2.^2.*m2ahat.*s1ahat.^2+2.*W1a.^lam1.*W2a.^lam2.*lam2.*s1ahat.^2).*cova.^3+(6.*W1a.^lam1.*lam2.^2.*m1ahat.*s1ahat.^2.*s2ahat.^2-6.*lam2.^2.*m1ahat.*s1ahat.^2.*s2ahat.^2).*cova.^2+(6.*lam2.*s1ahat.^4.*s2ahat.^2+6.*lam2.^2.*m2ahat.*s1ahat.^4.*s2ahat.^2-6.*W1a.^lam1.*lam2.*s1ahat.^4.*s2ahat.^2-6.*W2a.^lam2.*lam2.*s1ahat.^4.*s2ahat.^2-6.*W1a.^lam1.*lam2.^2.*m2ahat.*s1ahat.^4.*s2ahat.^2+6.*W1a.^lam1.*W2a.^lam2.*lam2.*s1ahat.^4.*s2ahat.^2).*cova))./(lam1.^2.*lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)),sum(0),sum(0),sum(-(cova.*(s1ahat.^4.*(-4.*lam1.^2.*m2ahat.^2.*s2ahat+2.*lam1.^2.*s2ahat.^3)-s1ahat.^2.*s2ahat.^3.*(4.*lam1.*m1ahat-4.*W1a.^lam1+2.*W1a.^(2.*lam1)+2.*lam1.^2.*m1ahat.^2-4.*W1a.^lam1.*lam1.*m1ahat+2))-cova.^3.*(s2ahat.*(4.*lam1.*m1ahat-4.*W1a.^lam1+2.*W1a.^(2.*lam1)+2.*lam1.^2.*m1ahat.^2-4.*W1a.^lam1.*lam1.*m1ahat+2)+2.*lam1.^2.*s1ahat.^2.*s2ahat)+s1ahat.^4.*s2ahat.^3.*(2.*lam1.*m2ahat+2.*lam1.^2.*m1ahat.*m2ahat-2.*W1a.^lam1.*lam1.*m2ahat)+cova.^2.*s1ahat.^2.*s2ahat.*(6.*lam1.*m2ahat+6.*lam1.^2.*m1ahat.*m2ahat-6.*W1a.^lam1.*lam1.*m2ahat))./(lam1.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)-(lam2.*((6.*lam1+6.*lam1.^2.*m1ahat-6.*W1a.^lam1.*lam1-6.*W2a.^lam2.*lam1+6.*W1a.^lam1.*W2a.^lam2.*lam1-6.*W2a.^lam2.*lam1.^2.*m1ahat).*cova.^2.*s1ahat.^2.*s2ahat+(8.*W2a.^lam2.*lam1.^2.*m2ahat-8.*lam1.^2.*m2ahat).*cova.*s1ahat.^4.*s2ahat+(2.*lam1+2.*lam1.^2.*m1ahat-2.*W1a.^lam1.*lam1-2.*W2a.^lam2.*lam1+2.*W1a.^lam1.*W2a.^lam2.*lam1-2.*W2a.^lam2.*lam1.^2.*m1ahat).*s1ahat.^4.*s2ahat.^3)-cova.*s1ahat.^4.*s2ahat.*(4.*W2a.^(2.*lam2).*lam1.^2-8.*W2a.^lam2.*lam1.^2+4.*lam1.^2))./(lam1.^2.*lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)),sum(0),sum(-(2.*cova.*s2ahat.*(W1a.^lam1.*lam1.*log(W1a)-W1a.^lam1+1).*(cova.*lam2-lam1.*s1ahat.^2-W1a.^lam1.*cova.*lam2+W2a.^lam2.*lam1.*s1ahat.^2+cova.*lam1.*lam2.*m1ahat-lam1.*lam2.*m2ahat.*s1ahat.^2))./(lam1.^3.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum((2.*s1ahat.^2.*s2ahat.*(W2a.^lam2.*lam2.*log(W2a)-W2a.^lam2+1).*(cova.*lam2-lam1.*s1ahat.^2-W1a.^lam1.*cova.*lam2+W2a.^lam2.*lam1.*s1ahat.^2+cova.*lam1.*lam2.*m1ahat-lam1.*lam2.*m2ahat.*s1ahat.^2))./(lam1.*lam2.^3.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2));
sum(0),sum(0),sum(covb./(-covb.^2+s1bhat.^2.*s2bhat.^2)),sum((s1bhat.*(2.*covb.^2.*(lam1-W2b.^lam2.*lam1+lam1.*lam2.*m2bhat)-2.*covb.*s2bhat.^2.*(lam2-W1b.^lam1.*lam2+lam1.*lam2.*m1bhat)))./(lam1.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(0),sum(0),sum(-2./(2.*s2bhat.^2-(2.*covb.^2)./s1bhat.^2)),sum(-(2.*s1bhat.^2.*s2bhat.*(covb.*lam2-lam1.*s1bhat.^2-W1b.^lam1.*covb.*lam2+W2b.^lam2.*lam1.*s1bhat.^2+covb.*lam1.*lam2.*m1bhat-lam1.*lam2.*m2bhat.*s1bhat.^2))./(lam1.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(0),sum((covb.^2.*(lam1.*m1bhat-W1b.^lam1+1)+s1bhat.^2.*((lam1.*m1bhat-W1b.^lam1+1).*s2bhat.^2-2.*covb.*lam1.*m2bhat))./(lam1.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)-(covb.*s1bhat.^2.*(2.*lam1-2.*W2b.^lam2.*lam1))./(lam1.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(-(covb.*(W1b.^lam1.*lam1.*log(W1b)-W1b.^lam1+1))./(lam1.^2.*(-covb.^2+s1bhat.^2.*s2bhat.^2))),sum((2.*s1bhat.^2.*(W2b.^lam2.*lam2.*log(W2b)-W2b.^lam2+1))./(lam2.^2.*(-2.*covb.^2+2.*s1bhat.^2.*s2bhat.^2)));
sum(0),sum(0),sum((s2bhat.*(2.*covb.^2.*(lam2-W1b.^lam1.*lam2+lam1.*lam2.*m1bhat)-2.*covb.*s1bhat.^2.*(lam1-W2b.^lam2.*lam1+lam1.*lam2.*m2bhat)))./(lam1.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum((lam2.*((2.*covb.*s2bhat.^3.*(2.*lam1+2.*lam1.^2.*m1bhat-2.*W1b.^lam1.*lam1-2.*W2b.^lam2.*lam1+2.*W1b.^lam1.*W2b.^lam2.*lam1-2.*W2b.^lam2.*lam1.^2.*m1bhat)-2.*covb.*s2bhat.*(4.*covb.*lam1.^2.*m2bhat-4.*W2b.^lam2.*covb.*lam1.^2.*m2bhat)).*s1bhat.^3+2.*covb.*s2bhat.*(2.*covb.^2.*lam1+2.*covb.^2.*lam1.^2.*m1bhat-2.*W1b.^lam1.*covb.^2.*lam1-2.*W2b.^lam2.*covb.^2.*lam1-2.*W2b.^lam2.*covb.^2.*lam1.^2.*m1bhat+2.*W1b.^lam1.*W2b.^lam2.*covb.^2.*lam1).*s1bhat)-2.*covb.*s1bhat.^3.*s2bhat.*(2.*covb.*lam1.^2+2.*W2b.^(2.*lam2).*covb.*lam1.^2-4.*W2b.^lam2.*covb.*lam1.^2))./(lam1.^2.*lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)-((4.*covb.^2.*lam1.^2.*m2bhat.^2.*s2bhat-2.*covb.*s2bhat.^3.*(2.*lam1.*m2bhat+covb.*lam1.^2+2.*lam1.^2.*m1bhat.*m2bhat-2.*W1b.^lam1.*lam1.*m2bhat)).*s1bhat.^3+(2.*covb.*(2.*covb+2.*W1b.^(2.*lam1).*covb-4.*W1b.^lam1.*covb+2.*covb.*lam1.^2.*m1bhat.^2+4.*covb.*lam1.*m1bhat-4.*W1b.^lam1.*covb.*lam1.*m1bhat).*s2bhat.^3+2.*covb.*(covb.^3.*lam1.^2-2.*covb.^2.*lam1.*m2bhat+2.*W1b.^lam1.*covb.^2.*lam1.*m2bhat-2.*covb.^2.*lam1.^2.*m1bhat.*m2bhat).*s2bhat).*s1bhat)./(lam1.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)),sum(0),sum(0),sum(-(2.*s1bhat.^2.*s2bhat.*(covb.*lam2-lam1.*s1bhat.^2-W1b.^lam1.*covb.*lam2+W2b.^lam2.*lam1.*s1bhat.^2+covb.*lam1.*lam2.*m1bhat-lam1.*lam2.*m2bhat.*s1bhat.^2))./(lam1.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(-(3.*s1bhat.^6.*s2bhat.^2+covb.^4.*(lam2.^2.*m1bhat.^2+lam2.^2.*s1bhat.^2)-covb.^3.*(2.*lam2.*m1bhat.*s1bhat.^2-2.*W2b.^lam2.*lam2.*m1bhat.*s1bhat.^2+2.*lam2.^2.*m1bhat.*m2bhat.*s1bhat.^2)-covb.*(6.*lam2.*m1bhat.*s1bhat.^4.*s2bhat.^2-6.*W2b.^lam2.*lam2.*m1bhat.*s1bhat.^4.*s2bhat.^2+6.*lam2.^2.*m1bhat.*m2bhat.*s1bhat.^4.*s2bhat.^2)+covb.^2.*(W2b.^(2.*lam2).*s1bhat.^4-2.*W2b.^lam2.*s1bhat.^4+s1bhat.^4+2.*lam2.*m2bhat.*s1bhat.^4+lam2.^2.*m2bhat.^2.*s1bhat.^4-2.*W2b.^lam2.*lam2.*m2bhat.*s1bhat.^4+3.*lam2.^2.*m1bhat.^2.*s1bhat.^2.*s2bhat.^2)-6.*W2b.^lam2.*s1bhat.^6.*s2bhat.^2+3.*W2b.^(2.*lam2).*s1bhat.^6.*s2bhat.^2-lam2.^2.*s1bhat.^6.*s2bhat.^4+3.*lam2.^2.*m2bhat.^2.*s1bhat.^6.*s2bhat.^2+6.*lam2.*m2bhat.*s1bhat.^6.*s2bhat.^2-6.*W2b.^lam2.*lam2.*m2bhat.*s1bhat.^6.*s2bhat.^2)./(lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)-(covb.^4.*(W1b.^(2.*lam1).*lam2.^2-2.*W1b.^lam1.*lam2.^2+lam2.^2)+covb.^2.*(3.*lam2.^2.*s1bhat.^2.*s2bhat.^2+3.*W1b.^(2.*lam1).*lam2.^2.*s1bhat.^2.*s2bhat.^2-6.*W1b.^lam1.*lam2.^2.*s1bhat.^2.*s2bhat.^2)-lam1.*((2.*W1b.^lam1.*lam2.^2.*m1bhat-2.*lam2.^2.*m1bhat).*covb.^4+(2.*lam2.*s1bhat.^2+2.*lam2.^2.*m2bhat.*s1bhat.^2-2.*W1b.^lam1.*lam2.*s1bhat.^2-2.*W2b.^lam2.*lam2.*s1bhat.^2-2.*W1b.^lam1.*lam2.^2.*m2bhat.*s1bhat.^2+2.*W1b.^lam1.*W2b.^lam2.*lam2.*s1bhat.^2).*covb.^3+(6.*W1b.^lam1.*lam2.^2.*m1bhat.*s1bhat.^2.*s2bhat.^2-6.*lam2.^2.*m1bhat.*s1bhat.^2.*s2bhat.^2).*covb.^2+(6.*lam2.*s1bhat.^4.*s2bhat.^2+6.*lam2.^2.*m2bhat.*s1bhat.^4.*s2bhat.^2-6.*W1b.^lam1.*lam2.*s1bhat.^4.*s2bhat.^2-6.*W2b.^lam2.*lam2.*s1bhat.^4.*s2bhat.^2-6.*W1b.^lam1.*lam2.^2.*m2bhat.*s1bhat.^4.*s2bhat.^2+6.*W1b.^lam1.*W2b.^lam2.*lam2.*s1bhat.^4.*s2bhat.^2).*covb))./(lam1.^2.*lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)),sum(0),sum(-(covb.*(s1bhat.^4.*(-4.*lam1.^2.*m2bhat.^2.*s2bhat+2.*lam1.^2.*s2bhat.^3)-s1bhat.^2.*s2bhat.^3.*(4.*lam1.*m1bhat-4.*W1b.^lam1+2.*W1b.^(2.*lam1)+2.*lam1.^2.*m1bhat.^2-4.*W1b.^lam1.*lam1.*m1bhat+2))-covb.^3.*(s2bhat.*(4.*lam1.*m1bhat-4.*W1b.^lam1+2.*W1b.^(2.*lam1)+2.*lam1.^2.*m1bhat.^2-4.*W1b.^lam1.*lam1.*m1bhat+2)+2.*lam1.^2.*s1bhat.^2.*s2bhat)+s1bhat.^4.*s2bhat.^3.*(2.*lam1.*m2bhat+2.*lam1.^2.*m1bhat.*m2bhat-2.*W1b.^lam1.*lam1.*m2bhat)+covb.^2.*s1bhat.^2.*s2bhat.*(6.*lam1.*m2bhat+6.*lam1.^2.*m1bhat.*m2bhat-6.*W1b.^lam1.*lam1.*m2bhat))./(lam1.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)-(lam2.*((6.*lam1+6.*lam1.^2.*m1bhat-6.*W1b.^lam1.*lam1-6.*W2b.^lam2.*lam1+6.*W1b.^lam1.*W2b.^lam2.*lam1-6.*W2b.^lam2.*lam1.^2.*m1bhat).*covb.^2.*s1bhat.^2.*s2bhat+(8.*W2b.^lam2.*lam1.^2.*m2bhat-8.*lam1.^2.*m2bhat).*covb.*s1bhat.^4.*s2bhat+(2.*lam1+2.*lam1.^2.*m1bhat-2.*W1b.^lam1.*lam1-2.*W2b.^lam2.*lam1+2.*W1b.^lam1.*W2b.^lam2.*lam1-2.*W2b.^lam2.*lam1.^2.*m1bhat).*s1bhat.^4.*s2bhat.^3)-covb.*s1bhat.^4.*s2bhat.*(4.*W2b.^(2.*lam2).*lam1.^2-8.*W2b.^lam2.*lam1.^2+4.*lam1.^2))./(lam1.^2.*lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)),sum(-(2.*covb.*s2bhat.*(W1b.^lam1.*lam1.*log(W1b)-W1b.^lam1+1).*(covb.*lam2-lam1.*s1bhat.^2-W1b.^lam1.*covb.*lam2+W2b.^lam2.*lam1.*s1bhat.^2+covb.*lam1.*lam2.*m1bhat-lam1.*lam2.*m2bhat.*s1bhat.^2))./(lam1.^3.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum((2.*s1bhat.^2.*s2bhat.*(W2b.^lam2.*lam2.*log(W2b)-W2b.^lam2+1).*(covb.*lam2-lam1.*s1bhat.^2-W1b.^lam1.*covb.*lam2+W2b.^lam2.*lam1.*s1bhat.^2+covb.*lam1.*lam2.*m1bhat-lam1.*lam2.*m2bhat.*s1bhat.^2))./(lam1.*lam2.^3.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2));
sum((cova.^2.*(lam2.*m2ahat-W2a.^lam2+1)+s2ahat.^2.*((lam2.*m2ahat-W2a.^lam2+1).*s1ahat.^2-2.*cova.*lam2.*m1ahat))./(lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)-(cova.*s2ahat.^2.*(2.*lam2-2.*W1a.^lam1.*lam2))./(lam1.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(-(cova.*(s2ahat.^4.*(-4.*lam2.^2.*m1ahat.^2.*s1ahat+2.*lam2.^2.*s1ahat.^3)-s1ahat.^3.*s2ahat.^2.*(4.*lam2.*m2ahat-4.*W2a.^lam2+2.*W2a.^(2.*lam2)+2.*lam2.^2.*m2ahat.^2-4.*W2a.^lam2.*lam2.*m2ahat+2))-cova.^3.*(s1ahat.*(4.*lam2.*m2ahat-4.*W2a.^lam2+2.*W2a.^(2.*lam2)+2.*lam2.^2.*m2ahat.^2-4.*W2a.^lam2.*lam2.*m2ahat+2)+2.*lam2.^2.*s1ahat.*s2ahat.^2)+s1ahat.^3.*s2ahat.^4.*(2.*lam2.*m1ahat+2.*lam2.^2.*m1ahat.*m2ahat-2.*W2a.^lam2.*lam2.*m1ahat)+cova.^2.*s1ahat.*s2ahat.^2.*(6.*lam2.*m1ahat+6.*lam2.^2.*m1ahat.*m2ahat-6.*W2a.^lam2.*lam2.*m1ahat))./(lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)-(lam1.*((6.*lam2+6.*lam2.^2.*m2ahat-6.*W1a.^lam1.*lam2-6.*W2a.^lam2.*lam2+6.*W1a.^lam1.*W2a.^lam2.*lam2-6.*W1a.^lam1.*lam2.^2.*m2ahat).*cova.^2.*s1ahat.*s2ahat.^2+(8.*W1a.^lam1.*lam2.^2.*m1ahat-8.*lam2.^2.*m1ahat).*cova.*s1ahat.*s2ahat.^4+(2.*lam2+2.*lam2.^2.*m2ahat-2.*W1a.^lam1.*lam2-2.*W2a.^lam2.*lam2+2.*W1a.^lam1.*W2a.^lam2.*lam2-2.*W1a.^lam1.*lam2.^2.*m2ahat).*s1ahat.^3.*s2ahat.^4)-cova.*s1ahat.*s2ahat.^4.*(4.*W1a.^(2.*lam1).*lam2.^2-8.*W1a.^lam1.*lam2.^2+4.*lam2.^2))./(lam1.^2.*lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)),sum(0),sum(0),sum((cova.^2.*(lam1.*m1ahat-W1a.^lam1+1)+s1ahat.^2.*((lam1.*m1ahat-W1a.^lam1+1).*s2ahat.^2-2.*cova.*lam1.*m2ahat))./(lam1.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)-(cova.*s1ahat.^2.*(2.*lam1-2.*W2a.^lam2.*lam1))./(lam1.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(-(cova.*(s1ahat.^4.*(-4.*lam1.^2.*m2ahat.^2.*s2ahat+2.*lam1.^2.*s2ahat.^3)-s1ahat.^2.*s2ahat.^3.*(4.*lam1.*m1ahat-4.*W1a.^lam1+2.*W1a.^(2.*lam1)+2.*lam1.^2.*m1ahat.^2-4.*W1a.^lam1.*lam1.*m1ahat+2))-cova.^3.*(s2ahat.*(4.*lam1.*m1ahat-4.*W1a.^lam1+2.*W1a.^(2.*lam1)+2.*lam1.^2.*m1ahat.^2-4.*W1a.^lam1.*lam1.*m1ahat+2)+2.*lam1.^2.*s1ahat.^2.*s2ahat)+s1ahat.^4.*s2ahat.^3.*(2.*lam1.*m2ahat+2.*lam1.^2.*m1ahat.*m2ahat-2.*W1a.^lam1.*lam1.*m2ahat)+cova.^2.*s1ahat.^2.*s2ahat.*(6.*lam1.*m2ahat+6.*lam1.^2.*m1ahat.*m2ahat-6.*W1a.^lam1.*lam1.*m2ahat))./(lam1.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)-(lam2.*((6.*lam1+6.*lam1.^2.*m1ahat-6.*W1a.^lam1.*lam1-6.*W2a.^lam2.*lam1+6.*W1a.^lam1.*W2a.^lam2.*lam1-6.*W2a.^lam2.*lam1.^2.*m1ahat).*cova.^2.*s1ahat.^2.*s2ahat+(8.*W2a.^lam2.*lam1.^2.*m2ahat-8.*lam1.^2.*m2ahat).*cova.*s1ahat.^4.*s2ahat+(2.*lam1+2.*lam1.^2.*m1ahat-2.*W1a.^lam1.*lam1-2.*W2a.^lam2.*lam1+2.*W1a.^lam1.*W2a.^lam2.*lam1-2.*W2a.^lam2.*lam1.^2.*m1ahat).*s1ahat.^4.*s2ahat.^3)-cova.*s1ahat.^4.*s2ahat.*(4.*W2a.^(2.*lam2).*lam1.^2-8.*W2a.^lam2.*lam1.^2+4.*lam1.^2))./(lam1.^2.*lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)),sum(0),sum(0),sum(-(s1ahat.^2.*(cova.^2.*(6.*lam2.*m2ahat-6.*W2a.^lam2+3.*W2a.^(2.*lam2)+3.*lam2.^2.*m2ahat.^2-6.*W2a.^lam2.*lam2.*m2ahat+3)-cova.*(6.*lam2.*m1ahat.*s2ahat.^2-6.*W2a.^lam2.*lam2.*m1ahat.*s2ahat.^2+6.*lam2.^2.*m1ahat.*m2ahat.*s2ahat.^2)+lam2.^2.*m1ahat.^2.*s2ahat.^4)-cova.^3.*(2.*lam2.*m1ahat+2.*lam2.^2.*m1ahat.*m2ahat-2.*W2a.^lam2.*lam2.*m1ahat)+s1ahat.^4.*(W2a.^(2.*lam2).*s2ahat.^2-2.*W2a.^lam2.*s2ahat.^2+s2ahat.^2-lam2.^2.*s2ahat.^4+2.*lam2.*m2ahat.*s2ahat.^2+lam2.^2.*m2ahat.^2.*s2ahat.^2-2.*W2a.^lam2.*lam2.*m2ahat.*s2ahat.^2)+cova.^4.*lam2.^2+3.*cova.^2.*lam2.^2.*m1ahat.^2.*s2ahat.^2)./(lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)-(cova.^2.*(3.*lam2.^2.*s2ahat.^2-6.*W1a.^lam1.*lam2.^2.*s2ahat.^2+3.*W1a.^(2.*lam1).*lam2.^2.*s2ahat.^2)+s1ahat.^2.*(lam2.^2.*s2ahat.^4-2.*W1a.^lam1.*lam2.^2.*s2ahat.^4+W1a.^(2.*lam1).*lam2.^2.*s2ahat.^4)-lam1.*(cova.^3.*(2.*lam2+2.*lam2.^2.*m2ahat-2.*W1a.^lam1.*lam2-2.*W2a.^lam2.*lam2+2.*W1a.^lam1.*W2a.^lam2.*lam2-2.*W1a.^lam1.*lam2.^2.*m2ahat)-cova.^2.*(6.*lam2.^2.*m1ahat.*s2ahat.^2-6.*W1a.^lam1.*lam2.^2.*m1ahat.*s2ahat.^2)+s1ahat.^2.*(cova.*(6.*lam2.*s2ahat.^2+6.*lam2.^2.*m2ahat.*s2ahat.^2-6.*W1a.^lam1.*lam2.*s2ahat.^2-6.*W2a.^lam2.*lam2.*s2ahat.^2-6.*W1a.^lam1.*lam2.^2.*m2ahat.*s2ahat.^2+6.*W1a.^lam1.*W2a.^lam2.*lam2.*s2ahat.^2)-2.*lam2.^2.*m1ahat.*s2ahat.^4+2.*W1a.^lam1.*lam2.^2.*m1ahat.*s2ahat.^4)))./(lam1.^2.*lam2.^2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^3)),sum(0),sum(-((W1a.^lam1.*lam1.*log(W1a)-W1a.^lam1+1).*(cova.^2.*lam1-2.*cova.*lam2.*s2ahat.^2+lam1.*s1ahat.^2.*s2ahat.^2-W2a.^lam2.*cova.^2.*lam1+2.*W1a.^lam1.*cova.*lam2.*s2ahat.^2+cova.^2.*lam1.*lam2.*m2ahat-W2a.^lam2.*lam1.*s1ahat.^2.*s2ahat.^2+lam1.*lam2.*m2ahat.*s1ahat.^2.*s2ahat.^2-2.*cova.*lam1.*lam2.*m1ahat.*s2ahat.^2))./(lam1.^3.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(-((W2a.^lam2.*lam2.*log(W2a)-W2a.^lam2+1).*(cova.^2.*lam2-2.*cova.*lam1.*s1ahat.^2+lam2.*s1ahat.^2.*s2ahat.^2-W1a.^lam1.*cova.^2.*lam2+2.*W2a.^lam2.*cova.*lam1.*s1ahat.^2+cova.^2.*lam1.*lam2.*m1ahat-W1a.^lam1.*lam2.*s1ahat.^2.*s2ahat.^2+lam1.*lam2.*m1ahat.*s1ahat.^2.*s2ahat.^2-2.*cova.*lam1.*lam2.*m2ahat.*s1ahat.^2))./(lam1.*lam2.^3.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2));
sum(0),sum(0),sum((covb.^2.*(lam2.*m2bhat-W2b.^lam2+1)+s2bhat.^2.*((lam2.*m2bhat-W2b.^lam2+1).*s1bhat.^2-2.*covb.*lam2.*m1bhat))./(lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)-(covb.*s2bhat.^2.*(2.*lam2-2.*W1b.^lam1.*lam2))./(lam1.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(-(covb.*(s2bhat.^4.*(-4.*lam2.^2.*m1bhat.^2.*s1bhat+2.*lam2.^2.*s1bhat.^3)-s1bhat.^3.*s2bhat.^2.*(4.*lam2.*m2bhat-4.*W2b.^lam2+2.*W2b.^(2.*lam2)+2.*lam2.^2.*m2bhat.^2-4.*W2b.^lam2.*lam2.*m2bhat+2))-covb.^3.*(s1bhat.*(4.*lam2.*m2bhat-4.*W2b.^lam2+2.*W2b.^(2.*lam2)+2.*lam2.^2.*m2bhat.^2-4.*W2b.^lam2.*lam2.*m2bhat+2)+2.*lam2.^2.*s1bhat.*s2bhat.^2)+s1bhat.^3.*s2bhat.^4.*(2.*lam2.*m1bhat+2.*lam2.^2.*m1bhat.*m2bhat-2.*W2b.^lam2.*lam2.*m1bhat)+covb.^2.*s1bhat.*s2bhat.^2.*(6.*lam2.*m1bhat+6.*lam2.^2.*m1bhat.*m2bhat-6.*W2b.^lam2.*lam2.*m1bhat))./(lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)-(lam1.*((6.*lam2+6.*lam2.^2.*m2bhat-6.*W1b.^lam1.*lam2-6.*W2b.^lam2.*lam2+6.*W1b.^lam1.*W2b.^lam2.*lam2-6.*W1b.^lam1.*lam2.^2.*m2bhat).*covb.^2.*s1bhat.*s2bhat.^2+(8.*W1b.^lam1.*lam2.^2.*m1bhat-8.*lam2.^2.*m1bhat).*covb.*s1bhat.*s2bhat.^4+(2.*lam2+2.*lam2.^2.*m2bhat-2.*W1b.^lam1.*lam2-2.*W2b.^lam2.*lam2+2.*W1b.^lam1.*W2b.^lam2.*lam2-2.*W1b.^lam1.*lam2.^2.*m2bhat).*s1bhat.^3.*s2bhat.^4)-covb.*s1bhat.*s2bhat.^4.*(4.*W1b.^(2.*lam1).*lam2.^2-8.*W1b.^lam1.*lam2.^2+4.*lam2.^2))./(lam1.^2.*lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)),sum(0),sum(0),sum((covb.^2.*(lam1.*m1bhat-W1b.^lam1+1)+s1bhat.^2.*((lam1.*m1bhat-W1b.^lam1+1).*s2bhat.^2-2.*covb.*lam1.*m2bhat))./(lam1.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)-(covb.*s1bhat.^2.*(2.*lam1-2.*W2b.^lam2.*lam1))./(lam1.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(-(covb.*(s1bhat.^4.*(-4.*lam1.^2.*m2bhat.^2.*s2bhat+2.*lam1.^2.*s2bhat.^3)-s1bhat.^2.*s2bhat.^3.*(4.*lam1.*m1bhat-4.*W1b.^lam1+2.*W1b.^(2.*lam1)+2.*lam1.^2.*m1bhat.^2-4.*W1b.^lam1.*lam1.*m1bhat+2))-covb.^3.*(s2bhat.*(4.*lam1.*m1bhat-4.*W1b.^lam1+2.*W1b.^(2.*lam1)+2.*lam1.^2.*m1bhat.^2-4.*W1b.^lam1.*lam1.*m1bhat+2)+2.*lam1.^2.*s1bhat.^2.*s2bhat)+s1bhat.^4.*s2bhat.^3.*(2.*lam1.*m2bhat+2.*lam1.^2.*m1bhat.*m2bhat-2.*W1b.^lam1.*lam1.*m2bhat)+covb.^2.*s1bhat.^2.*s2bhat.*(6.*lam1.*m2bhat+6.*lam1.^2.*m1bhat.*m2bhat-6.*W1b.^lam1.*lam1.*m2bhat))./(lam1.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)-(lam2.*((6.*lam1+6.*lam1.^2.*m1bhat-6.*W1b.^lam1.*lam1-6.*W2b.^lam2.*lam1+6.*W1b.^lam1.*W2b.^lam2.*lam1-6.*W2b.^lam2.*lam1.^2.*m1bhat).*covb.^2.*s1bhat.^2.*s2bhat+(8.*W2b.^lam2.*lam1.^2.*m2bhat-8.*lam1.^2.*m2bhat).*covb.*s1bhat.^4.*s2bhat+(2.*lam1+2.*lam1.^2.*m1bhat-2.*W1b.^lam1.*lam1-2.*W2b.^lam2.*lam1+2.*W1b.^lam1.*W2b.^lam2.*lam1-2.*W2b.^lam2.*lam1.^2.*m1bhat).*s1bhat.^4.*s2bhat.^3)-covb.*s1bhat.^4.*s2bhat.*(4.*W2b.^(2.*lam2).*lam1.^2-8.*W2b.^lam2.*lam1.^2+4.*lam1.^2))./(lam1.^2.*lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)),sum(0),sum(-(s1bhat.^2.*(covb.^2.*(6.*lam2.*m2bhat-6.*W2b.^lam2+3.*W2b.^(2.*lam2)+3.*lam2.^2.*m2bhat.^2-6.*W2b.^lam2.*lam2.*m2bhat+3)-covb.*(6.*lam2.*m1bhat.*s2bhat.^2-6.*W2b.^lam2.*lam2.*m1bhat.*s2bhat.^2+6.*lam2.^2.*m1bhat.*m2bhat.*s2bhat.^2)+lam2.^2.*m1bhat.^2.*s2bhat.^4)-covb.^3.*(2.*lam2.*m1bhat+2.*lam2.^2.*m1bhat.*m2bhat-2.*W2b.^lam2.*lam2.*m1bhat)+s1bhat.^4.*(W2b.^(2.*lam2).*s2bhat.^2-2.*W2b.^lam2.*s2bhat.^2+s2bhat.^2-lam2.^2.*s2bhat.^4+2.*lam2.*m2bhat.*s2bhat.^2+lam2.^2.*m2bhat.^2.*s2bhat.^2-2.*W2b.^lam2.*lam2.*m2bhat.*s2bhat.^2)+covb.^4.*lam2.^2+3.*covb.^2.*lam2.^2.*m1bhat.^2.*s2bhat.^2)./(lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)-(covb.^2.*(3.*lam2.^2.*s2bhat.^2-6.*W1b.^lam1.*lam2.^2.*s2bhat.^2+3.*W1b.^(2.*lam1).*lam2.^2.*s2bhat.^2)+s1bhat.^2.*(lam2.^2.*s2bhat.^4-2.*W1b.^lam1.*lam2.^2.*s2bhat.^4+W1b.^(2.*lam1).*lam2.^2.*s2bhat.^4)-lam1.*(covb.^3.*(2.*lam2+2.*lam2.^2.*m2bhat-2.*W1b.^lam1.*lam2-2.*W2b.^lam2.*lam2+2.*W1b.^lam1.*W2b.^lam2.*lam2-2.*W1b.^lam1.*lam2.^2.*m2bhat)-covb.^2.*(6.*lam2.^2.*m1bhat.*s2bhat.^2-6.*W1b.^lam1.*lam2.^2.*m1bhat.*s2bhat.^2)+s1bhat.^2.*(covb.*(6.*lam2.*s2bhat.^2+6.*lam2.^2.*m2bhat.*s2bhat.^2-6.*W1b.^lam1.*lam2.*s2bhat.^2-6.*W2b.^lam2.*lam2.*s2bhat.^2-6.*W1b.^lam1.*lam2.^2.*m2bhat.*s2bhat.^2+6.*W1b.^lam1.*W2b.^lam2.*lam2.*s2bhat.^2)-2.*lam2.^2.*m1bhat.*s2bhat.^4+2.*W1b.^lam1.*lam2.^2.*m1bhat.*s2bhat.^4)))./(lam1.^2.*lam2.^2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^3)),sum(-((W1b.^lam1.*lam1.*log(W1b)-W1b.^lam1+1).*(covb.^2.*lam1-2.*covb.*lam2.*s2bhat.^2+lam1.*s1bhat.^2.*s2bhat.^2-W2b.^lam2.*covb.^2.*lam1+2.*W1b.^lam1.*covb.*lam2.*s2bhat.^2+covb.^2.*lam1.*lam2.*m2bhat-W2b.^lam2.*lam1.*s1bhat.^2.*s2bhat.^2+lam1.*lam2.*m2bhat.*s1bhat.^2.*s2bhat.^2-2.*covb.*lam1.*lam2.*m1bhat.*s2bhat.^2))./(lam1.^3.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(-((W2b.^lam2.*lam2.*log(W2b)-W2b.^lam2+1).*(covb.^2.*lam2-2.*covb.*lam1.*s1bhat.^2+lam2.*s1bhat.^2.*s2bhat.^2-W1b.^lam1.*covb.^2.*lam2+2.*W2b.^lam2.*covb.*lam1.*s1bhat.^2+covb.^2.*lam1.*lam2.*m1bhat-W1b.^lam1.*lam2.*s1bhat.^2.*s2bhat.^2+lam1.*lam2.*m1bhat.*s1bhat.^2.*s2bhat.^2-2.*covb.*lam1.*lam2.*m2bhat.*s1bhat.^2))./(lam1.*lam2.^3.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2));
sum((2.*s2ahat.^2.*(W1a.^lam1.*lam1.*log(W1a)-W1a.^lam1+1))./(lam1.^2.*(-2.*cova.^2+2.*s1ahat.^2.*s2ahat.^2))),sum((2.*s1ahat.*s2ahat.^2.*(W1a.^lam1.*lam1.*log(W1a)-W1a.^lam1+1).*(cova.*lam1-lam2.*s2ahat.^2-W2a.^lam2.*cova.*lam1+W1a.^lam1.*lam2.*s2ahat.^2+cova.*lam1.*lam2.*m2ahat-lam1.*lam2.*m1ahat.*s2ahat.^2))./(lam1.^3.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum((2.*s2bhat.^2.*(W1b.^lam1.*lam1.*log(W1b)-W1b.^lam1+1))./(lam1.^2.*(-2.*covb.^2+2.*s1bhat.^2.*s2bhat.^2))),sum((2.*s1bhat.*s2bhat.^2.*(W1b.^lam1.*lam1.*log(W1b)-W1b.^lam1+1).*(covb.*lam1-lam2.*s2bhat.^2-W2b.^lam2.*covb.*lam1+W1b.^lam1.*lam2.*s2bhat.^2+covb.*lam1.*lam2.*m2bhat-lam1.*lam2.*m1bhat.*s2bhat.^2))./(lam1.^3.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(-(cova.*(W1a.^lam1.*lam1.*log(W1a)-W1a.^lam1+1))./(lam1.^2.*(-cova.^2+s1ahat.^2.*s2ahat.^2))),sum(-(2.*cova.*s2ahat.*(W1a.^lam1.*lam1.*log(W1a)-W1a.^lam1+1).*(cova.*lam2-lam1.*s1ahat.^2-W1a.^lam1.*cova.*lam2+W2a.^lam2.*lam1.*s1ahat.^2+cova.*lam1.*lam2.*m1ahat-lam1.*lam2.*m2ahat.*s1ahat.^2))./(lam1.^3.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(-(covb.*(W1b.^lam1.*lam1.*log(W1b)-W1b.^lam1+1))./(lam1.^2.*(-covb.^2+s1bhat.^2.*s2bhat.^2))),sum(-(2.*covb.*s2bhat.*(W1b.^lam1.*lam1.*log(W1b)-W1b.^lam1+1).*(covb.*lam2-lam1.*s1bhat.^2-W1b.^lam1.*covb.*lam2+W2b.^lam2.*lam1.*s1bhat.^2+covb.*lam1.*lam2.*m1bhat-lam1.*lam2.*m2bhat.*s1bhat.^2))./(lam1.^3.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(-((W1a.^lam1.*lam1.*log(W1a)-W1a.^lam1+1).*(cova.^2.*lam1-2.*cova.*lam2.*s2ahat.^2+lam1.*s1ahat.^2.*s2ahat.^2-W2a.^lam2.*cova.^2.*lam1+2.*W1a.^lam1.*cova.*lam2.*s2ahat.^2+cova.^2.*lam1.*lam2.*m2ahat-W2a.^lam2.*lam1.*s1ahat.^2.*s2ahat.^2+lam1.*lam2.*m2ahat.*s1ahat.^2.*s2ahat.^2-2.*cova.*lam1.*lam2.*m1ahat.*s2ahat.^2))./(lam1.^3.*lam2.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(-((W1b.^lam1.*lam1.*log(W1b)-W1b.^lam1+1).*(covb.^2.*lam1-2.*covb.*lam2.*s2bhat.^2+lam1.*s1bhat.^2.*s2bhat.^2-W2b.^lam2.*covb.^2.*lam1+2.*W1b.^lam1.*covb.*lam2.*s2bhat.^2+covb.^2.*lam1.*lam2.*m2bhat-W2b.^lam2.*lam1.*s1bhat.^2.*s2bhat.^2+lam1.*lam2.*m2bhat.*s1bhat.^2.*s2bhat.^2-2.*covb.*lam1.*lam2.*m1bhat.*s2bhat.^2))./(lam1.^3.*lam2.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(((2.*((W1a.^lam1-1)./lam1.^2-(W1a.^lam1.*log(W1a))./lam1).^2)./s1ahat.^2-(2.*(m1ahat-(W1a.^lam1-1)./lam1).*((2.*W1a.^lam1-2)./lam1.^3-(2.*W1a.^lam1.*log(W1a))./lam1.^2+(W1a.^lam1.*log(W1a).^2)./lam1))./s1ahat.^2+(2.*cova.*(m2ahat-(W2a.^lam2-1)./lam2).*((2.*W1a.^lam1-2)./lam1.^3-(2.*W1a.^lam1.*log(W1a))./lam1.^2+(W1a.^lam1.*log(W1a).^2)./lam1))./(s1ahat.^2.*s2ahat.^2))./((2.*cova.^2)./(s1ahat.^2.*s2ahat.^2)-2))+sum(((2.*((W1b.^lam1-1)./lam1.^2-(W1b.^lam1.*log(W1b))./lam1).^2)./s1bhat.^2-(2.*(m1bhat-(W1b.^lam1-1)./lam1).*((2.*W1b.^lam1-2)./lam1.^3-(2.*W1b.^lam1.*log(W1b))./lam1.^2+(W1b.^lam1.*log(W1b).^2)./lam1))./s1bhat.^2+(2.*covb.*(m2bhat-(W2b.^lam2-1)./lam2).*((2.*W1b.^lam1-2)./lam1.^3-(2.*W1b.^lam1.*log(W1b))./lam1.^2+(W1b.^lam1.*log(W1b).^2)./lam1))./(s1bhat.^2.*s2bhat.^2))./((2.*covb.^2)./(s1bhat.^2.*s2bhat.^2)-2)),sum((2.*cova.*(W1a.^lam1.*lam1.*log(W1a)-W1a.^lam1+1).*(W2a.^lam2.*lam2.*log(W2a)-W2a.^lam2+1))./(lam1.^2.*lam2.^2.*(-2.*cova.^2+2.*s1ahat.^2.*s2ahat.^2)))+sum((2.*covb.*(W1b.^lam1.*lam1.*log(W1b)-W1b.^lam1+1).*(W2b.^lam2.*lam2.*log(W2b)-W2b.^lam2+1))./(lam1.^2.*lam2.^2.*(-2.*covb.^2+2.*s1bhat.^2.*s2bhat.^2)));
sum(-(cova.*(W2a.^lam2.*lam2.*log(W2a)-W2a.^lam2+1))./(lam2.^2.*(-cova.^2+s1ahat.^2.*s2ahat.^2))),sum(-(2.*cova.*s1ahat.*(W2a.^lam2.*lam2.*log(W2a)-W2a.^lam2+1).*(cova.*lam1-lam2.*s2ahat.^2-W2a.^lam2.*cova.*lam1+W1a.^lam1.*lam2.*s2ahat.^2+cova.*lam1.*lam2.*m2ahat-lam1.*lam2.*m1ahat.*s2ahat.^2))./(lam1.*lam2.^3.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(-(covb.*(W2b.^lam2.*lam2.*log(W2b)-W2b.^lam2+1))./(lam2.^2.*(-covb.^2+s1bhat.^2.*s2bhat.^2))),sum(-(2.*covb.*s1bhat.*(W2b.^lam2.*lam2.*log(W2b)-W2b.^lam2+1).*(covb.*lam1-lam2.*s2bhat.^2-W2b.^lam2.*covb.*lam1+W1b.^lam1.*lam2.*s2bhat.^2+covb.*lam1.*lam2.*m2bhat-lam1.*lam2.*m1bhat.*s2bhat.^2))./(lam1.*lam2.^3.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum((2.*s1ahat.^2.*(W2a.^lam2.*lam2.*log(W2a)-W2a.^lam2+1))./(lam2.^2.*(-2.*cova.^2+2.*s1ahat.^2.*s2ahat.^2))),sum((2.*s1ahat.^2.*s2ahat.*(W2a.^lam2.*lam2.*log(W2a)-W2a.^lam2+1).*(cova.*lam2-lam1.*s1ahat.^2-W1a.^lam1.*cova.*lam2+W2a.^lam2.*lam1.*s1ahat.^2+cova.*lam1.*lam2.*m1ahat-lam1.*lam2.*m2ahat.*s1ahat.^2))./(lam1.*lam2.^3.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum((2.*s1bhat.^2.*(W2b.^lam2.*lam2.*log(W2b)-W2b.^lam2+1))./(lam2.^2.*(-2.*covb.^2+2.*s1bhat.^2.*s2bhat.^2))),sum((2.*s1bhat.^2.*s2bhat.*(W2b.^lam2.*lam2.*log(W2b)-W2b.^lam2+1).*(covb.*lam2-lam1.*s1bhat.^2-W1b.^lam1.*covb.*lam2+W2b.^lam2.*lam1.*s1bhat.^2+covb.*lam1.*lam2.*m1bhat-lam1.*lam2.*m2bhat.*s1bhat.^2))./(lam1.*lam2.^3.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum(-((W2a.^lam2.*lam2.*log(W2a)-W2a.^lam2+1).*(cova.^2.*lam2-2.*cova.*lam1.*s1ahat.^2+lam2.*s1ahat.^2.*s2ahat.^2-W1a.^lam1.*cova.^2.*lam2+2.*W2a.^lam2.*cova.*lam1.*s1ahat.^2+cova.^2.*lam1.*lam2.*m1ahat-W1a.^lam1.*lam2.*s1ahat.^2.*s2ahat.^2+lam1.*lam2.*m1ahat.*s1ahat.^2.*s2ahat.^2-2.*cova.*lam1.*lam2.*m2ahat.*s1ahat.^2))./(lam1.*lam2.^3.*(s1ahat.^2.*s2ahat.^2-cova.^2).^2)),sum(-((W2b.^lam2.*lam2.*log(W2b)-W2b.^lam2+1).*(covb.^2.*lam2-2.*covb.*lam1.*s1bhat.^2+lam2.*s1bhat.^2.*s2bhat.^2-W1b.^lam1.*covb.^2.*lam2+2.*W2b.^lam2.*covb.*lam1.*s1bhat.^2+covb.^2.*lam1.*lam2.*m1bhat-W1b.^lam1.*lam2.*s1bhat.^2.*s2bhat.^2+lam1.*lam2.*m1bhat.*s1bhat.^2.*s2bhat.^2-2.*covb.*lam1.*lam2.*m2bhat.*s1bhat.^2))./(lam1.*lam2.^3.*(s1bhat.^2.*s2bhat.^2-covb.^2).^2)),sum((2.*cova.*(W1a.^lam1.*lam1.*log(W1a)-W1a.^lam1+1).*(W2a.^lam2.*lam2.*log(W2a)-W2a.^lam2+1))./(lam1.^2.*lam2.^2.*(-2.*cova.^2+2.*s1ahat.^2.*s2ahat.^2)))+sum((2.*covb.*(W1b.^lam1.*lam1.*log(W1b)-W1b.^lam1+1).*(W2b.^lam2.*lam2.*log(W2b)-W2b.^lam2+1))./(lam1.^2.*lam2.^2.*(-2.*covb.^2+2.*s1bhat.^2.*s2bhat.^2))),sum(((2.*((W2a.^lam2-1)./lam2.^2-(W2a.^lam2.*log(W2a))./lam2).^2)./s2ahat.^2-(2.*(m2ahat-(W2a.^lam2-1)./lam2).*((2.*W2a.^lam2-2)./lam2.^3-(2.*W2a.^lam2.*log(W2a))./lam2.^2+(W2a.^lam2.*log(W2a).^2)./lam2))./s2ahat.^2+(2.*cova.*(m1ahat-(W1a.^lam1-1)./lam1).*((2.*W2a.^lam2-2)./lam2.^3-(2.*W2a.^lam2.*log(W2a))./lam2.^2+(W2a.^lam2.*log(W2a).^2)./lam2))./(s1ahat.^2.*s2ahat.^2))./((2.*cova.^2)./(s1ahat.^2.*s2ahat.^2)-2))+sum(((2.*((W2b.^lam2-1)./lam2.^2-(W2b.^lam2.*log(W2b))./lam2).^2)./s2bhat.^2-(2.*(m2bhat-(W2b.^lam2-1)./lam2).*((2.*W2b.^lam2-2)./lam2.^3-(2.*W2b.^lam2.*log(W2b))./lam2.^2+(W2b.^lam2.*log(W2b).^2)./lam2))./s2bhat.^2+(2.*covb.*(m1bhat-(W1b.^lam1-1)./lam1).*((2.*W2b.^lam2-2)./lam2.^3-(2.*W2b.^lam2.*log(W2b))./lam2.^2+(W2b.^lam2.*log(W2b).^2)./lam2))./(s1bhat.^2.*s2bhat.^2))./((2.*covb.^2)./(s1bhat.^2.*s2bhat.^2)-2));];


HCF(1,2)=0;HCF(1,6)=0;HCF(1,9)=0;
HCF(2,1)=0;HCF(2,5)=0;
HCF(3,4)=0;HCF(3,8)=0;HCF(3,10)=0;HCF(4,3)=0;
HCF(4,7)=0;
HCF(5,2)=0;HCF(5,6)=0;HCF(5,9)=0;
HCF(6,1)=0;HCF(6,5)=0;
HCF(7,4)=0;HCF(7,8)=0;HCF(7,10)=0;
HCF(8,3)=0;HCF(8,7)=0;
HCF(9,1)=0;HCF(9,5)=0;
HCF(10,3)=0;HCF(10,7)=0;



HCF(1,1)=na*HCF(1,1);
HCF(1,5)=na*HCF(1,5);
HCF(5,1)=na*HCF(5,1);

HCF(3,3)=nb*HCF(3,3);
HCF(3,7)=nb*HCF(3,7);
HCF(7,3)=nb*HCF(7,3);

HCF(7,7)=nb*HCF(7,7);
HCF(5,5)=na*HCF(5,5);

VV=inv(-HCF);




%pars=[m1ahat s1ahat m1bhat s1bhat m2ahat s2ahat m2bhat s2bhat];

m1a=m1ahat;
s1a=s1ahat;
m1b=m1bhat;
s1b=s1bhat;

m2a=m2ahat;
s2a=s2ahat;
m2b=m2bhat;
s2b=s2bhat;





a1=m1b-m1a;
b1=s1b/s1a;
c1=(m1a*(b1^2-1)-a1+b1*sqrt(a1^2+(b1^2-1)*s1a^2*log(b1^2)))/(b1^2-1);
J1=normcdf_sym((m1b-c1)/s1b)+normcdf_sym((c1-m1a)/s1a)-1

a2=m2b-m2a;
b2=s2b/s2a;
c2=(m2a*(b2^2-1)-a2+b2*sqrt(a2^2+(b2^2-1)*s2a^2*log(b2^2)))/(b2^2-1);
J2=normcdf_sym((m2b-c2)/s2b)+normcdf_sym((c2-m2a)/s2a)-1

F1a=@(c) normcdf(c,m1a,s1a);
F1b=@(c) normcdf(c,m1b,s1b);
F2a=@(c) normcdf(c,m2a,s2a);
F2b=@(c) normcdf(c,m2b,s2b);



%====================J1==============================
%J1 =erf((2^(1/2)*(m1b - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1)))/(2*s1b))/2 - erf((2^(1/2)*(m1a - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1)))/(2*s1a))/2;
%J2 =erf((2^(1/2)*(m2b - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1)))/(2*s2b))/2 - erf((2^(1/2)*(m2a - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1)))/(2*s2a))/2;

dJ1_dm1a = (2^(1/2)*exp(-(m1a - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1a^2))*((s1b^2/s1a^2 + (s1b*(2*m1a - 2*m1b))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)))/(s1b^2/s1a^2 - 1) - 1))/(2*pi^(1/2)*s1a) - (2^(1/2)*exp(-(m1b - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1b^2))*(s1b^2/s1a^2 + (s1b*(2*m1a - 2*m1b))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))))/(2*pi^(1/2)*s1b*(s1b^2/s1a^2 - 1));
dJ1_ds1a = (2^(1/2)*exp(-(m1b - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1b^2))*(((s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a^2 + (2*m1a*s1b^2)/s1a^3 + (s1b*(2*s1a*(s1b^2/s1a^2 - 1) + (2*s1b^2*log(s1b^2/s1a^2))/s1a - 2*s1a*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1)))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)))/(s1b^2/s1a^2 - 1) - (2*s1b^2*(m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a))/(s1a^3*(s1b^2/s1a^2 - 1)^2)))/(2*pi^(1/2)*s1b) - (exp(-(m1a - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1a^2))*((2^(1/2)*(((s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a^2 + (2*m1a*s1b^2)/s1a^3 + (s1b*(2*s1a*(s1b^2/s1a^2 - 1) + (2*s1b^2*log(s1b^2/s1a^2))/s1a - 2*s1a*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1)))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)))/(s1b^2/s1a^2 - 1) - (2*s1b^2*(m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a))/(s1a^3*(s1b^2/s1a^2 - 1)^2)))/(2*s1a) - (2^(1/2)*(m1a - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1)))/(2*s1a^2)))/pi^(1/2);
dJ1_dm1b = (2^(1/2)*exp(-(m1b - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1b^2))*(((s1b*(2*m1a - 2*m1b))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)) + 1)/(s1b^2/s1a^2 - 1) + 1))/(2*pi^(1/2)*s1b) - (2^(1/2)*exp(-(m1a - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1a^2))*((s1b*(2*m1a - 2*m1b))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)) + 1))/(2*pi^(1/2)*s1a*(s1b^2/s1a^2 - 1));
dJ1_ds1b = (2^(1/2)*exp(-(m1a - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1a^2))*((((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)/s1a + (2*m1a*s1b)/s1a^2 + (s1b*(2*s1b*log(s1b^2/s1a^2) + (2*s1a^2*(s1b^2/s1a^2 - 1))/s1b))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)))/(s1b^2/s1a^2 - 1) - (2*s1b*(m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a))/(s1a^2*(s1b^2/s1a^2 - 1)^2)))/(2*pi^(1/2)*s1a) - (exp(-(m1b - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1))^2/(2*s1b^2))*((2^(1/2)*((((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)/s1a + (2*m1a*s1b)/s1a^2 + (s1b*(2*s1b*log(s1b^2/s1a^2) + (2*s1a^2*(s1b^2/s1a^2 - 1))/s1b))/(2*s1a*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2)))/(s1b^2/s1a^2 - 1) - (2*s1b*(m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a))/(s1a^2*(s1b^2/s1a^2 - 1)^2)))/(2*s1b) + (2^(1/2)*(m1b - (m1a - m1b + m1a*(s1b^2/s1a^2 - 1) + (s1b*((m1a - m1b)^2 + s1a^2*log(s1b^2/s1a^2)*(s1b^2/s1a^2 - 1))^(1/2))/s1a)/(s1b^2/s1a^2 - 1)))/(2*s1b^2)))/pi^(1/2);

dJ1_dm2a =0;
dJ1_ds2a =0;
dJ1_dm2b =0;
dJ1_ds2b =0;
 
 
dJ2_dm1a =0;
dJ2_ds1a =0;
dJ2_dm1b =0;
dJ2_ds1b =0;
 
dJ2_dm2a = (2^(1/2)*exp(-(m2a - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2a^2))*((s2b^2/s2a^2 + (s2b*(2*m2a - 2*m2b))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)))/(s2b^2/s2a^2 - 1) - 1))/(2*pi^(1/2)*s2a) - (2^(1/2)*exp(-(m2b - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2b^2))*(s2b^2/s2a^2 + (s2b*(2*m2a - 2*m2b))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))))/(2*pi^(1/2)*s2b*(s2b^2/s2a^2 - 1));
dJ2_ds2a = (2^(1/2)*exp(-(m2b - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2b^2))*(((s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a^2 + (2*m2a*s2b^2)/s2a^3 + (s2b*(2*s2a*(s2b^2/s2a^2 - 1) + (2*s2b^2*log(s2b^2/s2a^2))/s2a - 2*s2a*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1)))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)))/(s2b^2/s2a^2 - 1) - (2*s2b^2*(m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a))/(s2a^3*(s2b^2/s2a^2 - 1)^2)))/(2*pi^(1/2)*s2b) - (exp(-(m2a - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2a^2))*((2^(1/2)*(((s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a^2 + (2*m2a*s2b^2)/s2a^3 + (s2b*(2*s2a*(s2b^2/s2a^2 - 1) + (2*s2b^2*log(s2b^2/s2a^2))/s2a - 2*s2a*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1)))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)))/(s2b^2/s2a^2 - 1) - (2*s2b^2*(m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a))/(s2a^3*(s2b^2/s2a^2 - 1)^2)))/(2*s2a) - (2^(1/2)*(m2a - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1)))/(2*s2a^2)))/pi^(1/2);
dJ2_dm2b = (2^(1/2)*exp(-(m2b - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2b^2))*(((s2b*(2*m2a - 2*m2b))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)) + 1)/(s2b^2/s2a^2 - 1) + 1))/(2*pi^(1/2)*s2b) - (2^(1/2)*exp(-(m2a - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2a^2))*((s2b*(2*m2a - 2*m2b))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)) + 1))/(2*pi^(1/2)*s2a*(s2b^2/s2a^2 - 1));
dJ2_ds2b = (2^(1/2)*exp(-(m2a - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2a^2))*((((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)/s2a + (2*m2a*s2b)/s2a^2 + (s2b*(2*s2b*log(s2b^2/s2a^2) + (2*s2a^2*(s2b^2/s2a^2 - 1))/s2b))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)))/(s2b^2/s2a^2 - 1) - (2*s2b*(m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a))/(s2a^2*(s2b^2/s2a^2 - 1)^2)))/(2*pi^(1/2)*s2a) - (exp(-(m2b - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1))^2/(2*s2b^2))*((2^(1/2)*((((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)/s2a + (2*m2a*s2b)/s2a^2 + (s2b*(2*s2b*log(s2b^2/s2a^2) + (2*s2a^2*(s2b^2/s2a^2 - 1))/s2b))/(2*s2a*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2)))/(s2b^2/s2a^2 - 1) - (2*s2b*(m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a))/(s2a^2*(s2b^2/s2a^2 - 1)^2)))/(2*s2b) + (2^(1/2)*(m2b - (m2a - m2b + m2a*(s2b^2/s2a^2 - 1) + (s2b*((m2a - m2b)^2 + s2a^2*log(s2b^2/s2a^2)*(s2b^2/s2a^2 - 1))^(1/2))/s2a)/(s2b^2/s2a^2 - 1)))/(2*s2b^2)))/pi^(1/2);
 


VVpars=VV(1:8,1:8);
VJ1=[dJ1_dm1a dJ1_ds1a dJ1_dm1b dJ1_ds1b dJ1_dm2a dJ1_ds2a dJ1_dm2b dJ1_ds2b]*VVpars*[dJ1_dm1a dJ1_ds1a dJ1_dm1b dJ1_ds1b dJ1_dm2a dJ1_ds2a dJ1_dm2b dJ1_ds2b]';
VJ2=[dJ2_dm1a dJ2_ds1a dJ2_dm1b dJ2_ds1b dJ2_dm2a dJ2_ds2a dJ2_dm2b dJ2_ds2b]*VVpars*[dJ2_dm1a dJ2_ds1a dJ2_dm1b dJ2_ds1b dJ2_dm2a dJ2_ds2a dJ2_dm2b dJ2_ds2b]';
COVJ12=[dJ1_dm1a dJ1_ds1a dJ1_dm1b dJ1_ds1b dJ1_dm2a dJ1_ds2a dJ1_dm2b dJ1_ds2b]*VVpars*[dJ2_dm1a dJ2_ds1a dJ2_dm1b dJ2_ds1b dJ2_dm2a dJ2_ds2a dJ2_dm2b dJ2_ds2b]';

Z=(J2-J1)./(sqrt(VJ1+VJ2-2*COVJ12));
SE=(sqrt(VJ1+VJ2-2*COVJ12));
CIZ=[(J2-J1)-1.96*SE (J2-J1)+1.96*SE];

logitJ2=log(J2/(1-J2));
logitJ1=log(J1/(1-J1));
VJT1=1/(J1^2*(J1-1)^2)*VJ1;
VJT2=1/(J2^2*(J2-1)^2)*VJ2;
V12=[VJ1 COVJ12;COVJ12 VJ2];
COVJT12=[-1/(J1*(J1-1)) 0]*V12*[0 -1/(J2*(J2-1))]';
Zlogit=(logitJ2-logitJ1)./(sqrt(VJT1+VJT2-2*COVJT12));
SE=(sqrt(VJT1+VJT2-2*COVJT12));
CIlogit=[(logitJ2-logitJ1)-1.96*SE (logitJ2-logitJ1)+1.96*SE];

probitJ2=norminv(J2);
probitJ1=norminv(J1);
VJT1=1/(normpdf(norminv(J1)))^2*VJ1;
VJT2=1/(normpdf(norminv(J2)))^2*VJ2;
V12=[VJ1 COVJ12;COVJ12 VJ2];
COVJT12=[1/(normpdf(norminv(J1))) 0]*V12*[0 1/(normpdf(norminv(J2)))]';
Zprobit=(probitJ2-probitJ1)./(sqrt(VJT1+VJT2-2*COVJT12));
SE=(sqrt(VJT1+VJT2-2*COVJT12));
CIprobit=[(probitJ2-probitJ1)-1.96*SE (probitJ2-probitJ1)+1.96*SE];


JT2=log(0.5*(J2+1)/(1-0.5*(J2+1)));
JT1=log(0.5*(J1+1)/(1-0.5*(J1+1)));
VJT1=4/(J1^2-1)^2*VJ1;
VJT2=4/(J2^2-1)^2*VJ2;
COVJT12=[-2/(J1^2-1) 0]*V12*[0 -2/(J2^2-1)]';
Zstar=(JT2-JT1)./(sqrt(VJT1+VJT2-2*COVJT12));
SE=(sqrt(VJT1+VJT2-2*COVJT12));
CIZstar=[(JT2-JT1)-1.96*SE (JT2-JT1)+1.96*SE];




end


